---
title: ANSYS RSM (Remote Resolve Manager)
#tags:
keywords: software, ansys, rsm, slurm, interactive, rsm, windows
last_updated: 24 Mai 2023
summary: "This document describes how to use the ANSYS Remote Resolve Manager service in the Merlin6 cluster"
sidebar: merlin7_sidebar
permalink: /merlin7/ansys-rsm.html
---

![Work In Progress](/images/WIP/WIP1.webp){:style="display:block; margin-left:auto; margin-right:auto"}

{{site.data.alerts.warning}}The Merlin7 documentation is <b>Work In Progress</b>.
Please do not use or rely on this documentation until this becomes official.  
This applies to any page under <b><a href="https://lsm-hpce.gitpages.psi.ch/merlin7/">https://lsm-hpce.gitpages.psi.ch/merlin7/</a></b>
{{site.data.alerts.end}}

## ANSYS RSM Configuration tool settings:

Use Merlin6 ANSYS to submit to RSM:

  If you want to submit from Titan is possible too, you have to set SSH keys in your local workstation as described in: https://www.purdue.edu/science/scienceit/ssh-keys-windows.html

"HPC_Resource" tab configuration:

  HPC Type: Slurm
  Submit Host: psi-dev.cscs.ch
  Slurm job arguments: --hint=nomultithread

"File Management" tab configuration:

  External mechanism for the transfer (SCP, custom)
      Transfer Mechanism SCP via SSH
      As staging directory, use /scratch/tmp
      As account, use your PSI username
  SSH Keys have to be configured to make it work.
